In anticipation of Redsnow 0.9.7 ?

Discussion in 'Jailbreaks and iOS Hacks' started by machasm, Jan 11, 2011.

  1. machasm macrumors member

    Joined:
    Dec 21, 2010
    #1
    Hi all,
    After having a bit of a nightmare with my first 3Gs I tought that I would try to pre-empt having another with my current one and be prepared for the upcoming release of redsnow 0.9.7 which will allow for an untethered JB on 4.2.1.

    Anyway, here is the story
    I am currently on IOS 4.1 which I successfully JB with redsnow 0.9.6. Only problem was that I was on the new boot ROM so had to update my Baseband to 6.15 (IPAD version) in order to use unlock on T-mobile.
    All good so far.
    My GPS does not work but I believe this is a problem with this BB version? Is that right?
    My question is will I be able to upgrade to IOS 4.2.1 with the anticipated release of redsnow or will I run into an itunes 1015 error since it wont be able to update the baseband?
    If so how do I get round this problem?
    Will I need to use a custom IPSW file?
    If so from where and will it have the updated BB?
    One last thing, will the new ios give me my GPS functionality back or is that down to the Baseband?
    Thanks all.
    Mac.
     
  2. WhatAmI macrumors 6502a

    WhatAmI

    Joined:
    Sep 2, 2009
    #2
    The short answer is that if you sit w/ the iPad baseband your only current option is to use a Custom IPSW. Linking to Customs is prohibited so Google is yr friend

    I have yet to see someone with 06.15.00 and a fully functional GPS, the GPS signal you get from baseband 6.15 is from triangulation, which works fine in apps like the "Places" feature in the Camera app and such. Albeit, it maybe off by a few yards.

    Whether the GPS issues is fixed in the future for 06.15.00 I don't think even Musclenerd knows and my *guess* is that your iPhone is locked down to 06.15.00 for evar
     
  3. MikePA macrumors 68020

    MikePA

    Joined:
    Aug 17, 2008
    #3
    Updating an iPhone baseband to an iPad baseband, IMO, is simply nuts. Even if it worked perfectly, which it doesn't, who in their right mind would want to buy such a mongrel when the time comes to sell it? :confused:
     
  4. machasm thread starter macrumors member

    Joined:
    Dec 21, 2010
    #4
    Thanks for your replies guys.
    The more I think about this IPAD BB "Upgrade" the more I wish I never went down that route!
    Still I'm there now and heres hoping that some day there might be some form of downgrade available for it?
    If not perhaps one day the BB version might exceed 6.15??(Hey I'm an optimist :)
    Any with regard to a custom IPSW do I need to worry about what BB it was cooked with or is that a separate issue?
    What I mean is do I need to look for a CFW which has been cooked with 4.2.1 + 6.15 BB + one that includes the new boot ROM?
    I have been reading through a lot of threads since doing the upgrade a few weeks back and things are still not perfectly clear.
    Your time and patience is appreciated guys.
    Thanks.
     
  5. mamaiku macrumors newbie

    Joined:
    Jan 12, 2011
    #5
    I'm in the same boat as you exactly. I am wondering about this too, but there is little info out there about those that have upgraded to the ipad bb. There are a lot of 0.9.7 betas out (i think they are at b7), but i am waiting to see what the release looks like. it seems from the info that it is for iphone 4, and that 3gs should already be untethered. This is not the case. I think the correct path, in hindsight, was to unlock using a lower release, but apple had upgraded my bb by then and i could not back it up. Oh well. I am hoping that there is a way to flash the rom to change the bb, i can not see how any device could be "locked" in a particular configuration.

    Tinyumbrella mentioned working on a solution that might help us, we will have to wait and see. The first reply is correct, we will probably have to use a custom ipsw. The good news is all 3gs owners who wanted to unlock using 4.1 were forced to upgrade their bb, so I doubt we will be left in the dark. If you find something out, reply here, and I'll do the same. I saw somewhere that 0.9.7 should be released around the middle of the month. Def tired of the tethered thing, but my iphone works fine otherwise.

    ~regards
     
  6. mamaiku macrumors newbie

    Joined:
    Jan 12, 2011
    #6
  7. ulbador macrumors 68000

    ulbador

    Joined:
    Feb 11, 2010
    #7
  8. mamaiku macrumors newbie

    Joined:
    Jan 12, 2011
    #8
    ahh, didnt catch that sorry. here's to hoping the dev team provides a solution.

    ~regards
     
  9. Applejuiced macrumors Westmere

    Applejuiced

    Joined:
    Apr 16, 2008
    Location:
    At the iPhone hacks section.
    #9
    Lol :D
    Mongrel?
     
  10. machasm thread starter macrumors member

    Joined:
    Dec 21, 2010
    #10
    Again thanks for your replies guys.
    There seems to be a little more structured sense on this forum than on most others I have visited.
    Will come back regularly to check progress.
    @Applejuice A Mongrel is normally a term used to describe a dog which is not of pure breed i.e. the offspring of 2 or more different breeds.
    Hence the Iphone with the Ipad BB simile.
    (sorry if you already knew this its just that you put a question mark behind the word 'Mongrel' so I thought I would explain).
    Mac.
     
  11. Applejuiced macrumors Westmere

    Applejuiced

    Joined:
    Apr 16, 2008
    Location:
    At the iPhone hacks section.
    #11
    Thanks bro, I just thought it was funny:D
    Hope The Dev Team will hook us up soon with a new redsnow that will untether out devices and provide a BB downgrade also.
    Amen:)
     
  12. mamaiku macrumors newbie

    Joined:
    Jan 12, 2011
    #12
    yeah i thought that was pretty funny too - lol
     

Share This Page